ONVIF::Analytics::Elements::DeleteRules(3)

NAME
ONVIF::Analytics::Elements::DeleteRules

DESCRIPTION
Perl data type class for the XML Schema defined element DeleteRules from the namespace http://www.onvif.org/ver20/analytics/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ConfigurationToken

     $element->set_ConfigurationToken($data);
     $element->get_ConfigurationToken();

•   RuleName

     $element->set_RuleName($data);
     $element->get_RuleName();

METHODS

  new
 my $element = ONVIF::Analytics::Elements::DeleteRules->new($data);

Constructor. The following data structure may be passed to new():

 {
   ConfigurationToken => $some_value, # ReferenceToken
   RuleName =>  $some_value, # string
 },

AUTHOR
Generated by SOAP::WSDL